> ## Documentation Index
> Fetch the complete documentation index at: https://docs.decodahealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Put Appointment Style Mapping



## OpenAPI

````yaml put /admin/appointment-style-mapping
openapi: 3.1.0
info:
  title: Decoda API
  description: External API documentation for the Decoda Health platform.
  version: '1.0'
servers: []
security: []
paths:
  /admin/appointment-style-mapping:
    put:
      tags:
        - provider
        - admin
      summary: Put Appointment Style Mapping
      operationId: put_appointment_style_mapping_admin_appointment_style_mapping_put
      parameters:
        - name: TENANT
          in: header
          required: true
          schema:
            type: string
            title: Tenant
          description: The tenant you are making this request on behalf of
        - name: API-KEY
          in: header
          required: true
          schema:
            type: string
            title: Api-Key
          description: Your api key
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AppointmentStyleMapping-Input'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AppointmentStyleMapping-Output'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    AppointmentStyleMapping-Input:
      properties:
        items:
          items:
            $ref: '#/components/schemas/AppointmentStyleItem'
          type: array
          title: Items
      type: object
      required:
        - items
      title: AppointmentStyleMapping
    AppointmentStyleMapping-Output:
      properties:
        items:
          items:
            $ref: '#/components/schemas/AppointmentStyleItem'
          type: array
          title: Items
      type: object
      required:
        - items
      title: AppointmentStyleMapping
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    AppointmentStyleItem:
      properties:
        eventStatus:
          $ref: '#/components/schemas/EventStatus'
        serviceStyleVariant:
          type: string
          title: Servicestylevariant
      type: object
      required:
        - eventStatus
        - serviceStyleVariant
      title: AppointmentStyleItem
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    EventStatus:
      type: string
      enum:
        - PENDING
        - RESERVED
        - CONFIRMED
        - CANCELLED
        - COMPLETED
        - OVERRIDABLE
        - NO_SHOW
      title: EventStatus

````